import { MockUseDraggableArguments } from './type';
export declare const useDraggable: (props: MockUseDraggableArguments) => {
    attributes: {};
    listeners: {
        onMouseDown?: undefined;
        onMouseUp?: undefined;
    } | {
        onMouseDown(): void;
        onMouseUp(): void;
    };
    setNodeRef: (element: HTMLElement | null) => void;
};
